{
  "name": "chat-app-backend",
  "version": "0.0.1",
  "description": "Backend of the chat app",
  "license": "ISC",
  "author": "",
  "type": "commonjs",
  "scripts": {
    "dev": "tsx --watch --env-file .env src/index.ts",
    "start": "node --env-file .env dist/index.js",
    "build": "tsc && tsc-alias",
    "lint": "eslint .",
    "lint:fix": "eslint --fix .",
    "format": "prettier --write .",
    "db:push": "prisma db push",
    "db:generate": "prisma generate",
    "db:seed": "prisma db seed",
    "db:studio": "prisma studio"
  },
  "dependencies": {
    "@prisma/client": "^6.9.0",
    "bcryptjs": "^3.0.2",
    "cors": "^2.8.5",
    "express": "^5.1.0",
    "express-rate-limit": "^7.5.0",
    "jsonwebtoken": "^9.0.2",
    "socket.io": "^4.8.1",
    "zod": "^3.25.62"
  },
  "devDependencies": {
    "@eslint/js": "^9.28.0",
    "@tsconfig/node22": "^22.0.2",
    "@types/bcryptjs": "^2.4.6",
    "@types/cors": "^2.8.19",
    "@types/express": "^5.0.3",
    "@types/jsonwebtoken": "^9.0.9",
    "@types/node": "^24.0.0",
    "eslint": "^9.28.0",
    "prettier": "^3.5.3",
    "prisma": "^6.9.0",
    "tsc-alias": "^1.8.16",
    "tsconfig-paths": "^4.2.0",
    "tsx": "^4.20.1",
    "typescript": "^5.8.3",
    "typescript-eslint": "^8.34.0"
  }
}
